> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a dynamic virtual account for a referenced partner wallet



## OpenAPI

````yaml /openapi/partner.openapi.json post /partner/wallet/{reference}/dynamic-account
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
  - name: Partner Wallet
paths:
  /partner/wallet/{reference}/dynamic-account:
    post:
      tags:
        - Partner Wallet
      summary: Create a dynamic virtual account for a referenced partner wallet
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
          description: Partner wallet reference
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletTransferDto'
      responses:
        '200':
          description: Dynamic virtual account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletDynamicVirtualAccount'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  schemas:
    WalletTransferDto:
      type: object
      required:
        - amount
      properties:
        amount:
          type: number
          minimum: 1
          maximum: 999999999
        comment:
          type: string
          maxLength: 250
        reference:
          type: string
          maxLength: 100
        currency:
          $ref: '#/components/schemas/WalletCurrency'
        metadata:
          type: object
          additionalProperties: true
    WalletDynamicVirtualAccount:
      type: object
      properties:
        ID:
          type: integer
        Reference:
          type: string
        AccountNumber:
          type: string
        AccountName:
          type: string
        BankName:
          type: string
        Amount:
          type: number
        ExpiresAt:
          type: string
          format: date-time
          nullable: true
    WalletCurrency:
      type: string
      enum:
        - NGN
        - FP
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````